Package org.flowable.dmn.model

# Class ItemDefinition

java.lang.Object
org.flowable.dmn.model.DmnElement
org.flowable.dmn.model.NamedElement
org.flowable.dmn.model.ItemDefinition

public class ItemDefinition extends NamedElement

Author:
  Yvo Swillens

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected UnaryTests`
  `allowedValues`
  `protected boolean`
  `isCollection`
  `protected List<ItemDefinition>`
  `itemComponents`
  `protected String`
  `typeLanguage`
  `protected String`
  `typeRef`

  ### Fields inherited from class org.flowable.dmn.model.NamedElement

  `name`

  ### Fields inherited from class org.flowable.dmn.model.DmnElement

  `attributes, description, extensionElements, id, label`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ItemDefinition()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addItemComponent(ItemDefinition itemComponent)`
  `UnaryTests`
  `getAllowedValues()`
  `List<ItemDefinition>`
  `getItemComponents()`
  `String`
  `getTypeLanguage()`
  `String`
  `getTypeRef()`
  `boolean`
  `isCollection()`
  `void`
  `setAllowedValues(UnaryTests allowedValues)`
  `void`
  `setCollection(boolean collection)`
  `void`
  `setItemComponents(List<ItemDefinition> itemComponents)`
  `void`
  `setTypeLanguage(String typeLanguage)`
  `void`
  `setTypeRef(String typeRef)`

  ### Methods inherited from class org.flowable.dmn.model.NamedElement

  `getName, setName`

  ### Methods inherited from class org.flowable.dmn.model.DmnElement

  `addAttribute, addExtensionElement, getAttributes, getAttributeValue, getDescription, getExtensionElements, getId, getLabel, setAttributes, setDescription, setExtensionElements, setId, setLabel, setValues`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### typeRef

    protected String typeRef

  - ### allowedValues

    protected UnaryTests allowedValues

  - ### itemComponents

    protected List<ItemDefinition> itemComponents

  - ### typeLanguage

    protected String typeLanguage

  - ### isCollection

    protected boolean isCollection

- ## Constructor Details

  - ### ItemDefinition

    public ItemDefinition()

- ## Method Details

  - ### getTypeRef

    public String getTypeRef()

  - ### setTypeRef

    public void setTypeRef(String typeRef)

  - ### getAllowedValues

    public UnaryTests getAllowedValues()

  - ### setAllowedValues

    public void setAllowedValues(UnaryTests allowedValues)

  - ### getItemComponents

    public List<ItemDefinition> getItemComponents()

  - ### setItemComponents

    public void setItemComponents(List<ItemDefinition> itemComponents)

  - ### addItemComponent

    public void addItemComponent(ItemDefinition itemComponent)

  - ### getTypeLanguage

    public String getTypeLanguage()

  - ### setTypeLanguage

    public void setTypeLanguage(String typeLanguage)

  - ### isCollection

    public boolean isCollection()

  - ### setCollection

    public void setCollection(boolean collection)